export declare function getStagedPaths(): Promise<string[]>;
export declare function stagePaths(paths: string[]): Promise<void>;
export declare function makeCommit(message: string): Promise<void>;
export declare type FullnameResult = {
    ambiguous: true;
    files: string[];
} | {
    ambiguous: false;
    file: string;
};
/**
 * Attempts to resolve an arbitrary path to a single full file path relative to
 * the repository root.
 *
 * Note that this function expects passed paths to be tracked. If said paths are
 * untracked, the result of this function is undefined. In short: call
 * `stagePaths(paths)` at some point before calling this function.
 */
export declare function fullname(path: string): Promise<FullnameResult>;
export declare function commonAncestor(paths: string[]): string | null;
export declare function isGitRepo(): Promise<boolean>;
