module.exports=(()=>{"use strict";var e={612:(e,t,a)=>{a.r(t),a.d(t,{configureProgram:()=>y});const o=JSON.parse('{"u2":"git-add-then-commit"}'),s=require("debug");var i=a.n(s);const n=require("simple-git");var r=a.n(n);const l=require("common-ancestor-path");var c=a.n(l);const p=require("execa");var m=a.n(p);const u=i()(`${o.u2}:git-lib`);async function f(){const{staged:e}=await r()().status();return u("saw staged paths: %O",e),e}async function g(e){const{stdout:t,command:a}=await m()("git",["ls-files","--cached","--full-name",e]);if(u(`executed command: ${a}`),u(`stdout: "${t}"`),!t)throw new Error(`path "${e}" does not refer to any staged files`);const o=t.split("\n"),s=o.length>1?{ambiguous:!0,files:o}:{ambiguous:!1,file:o[0]};return u("computed files (from stdout): %O",o),u("result: %O",s),s}const h=require("path"),d=require("yargs/yargs");var w=a.n(d);const b=i()(`${o.u2}:index`);function y(e){const t=e||w()();let a,o;return t.scriptName("gac").usage('$0 [path1, path2, ...] commit-type commit-scope commit-message\n\nStage any paths provided and then commit all staged files. Running this command is equivalent to running the following git commands by hand:\n  git add path1 path2 ...\n  git commit -m "commit-type(commit-scope): commit-message"').options({"scope-omit":{alias:"o",describe:"Do not include a scope at all",type:"boolean"},"scope-basename":{alias:"b",describe:"Use path1's basename as the scope",type:"boolean"},"scope-as-is":{alias:"a",describe:"Use path1 exactly as typed as the scope",type:"boolean"},"scope-full":{alias:"f",describe:"Use path1 (relative to repo root) as the scope",type:"boolean"},silent:{alias:"s",describe:"Nothing will be printed to stdout or stderr",type:"boolean"}}).string("_").group(["scope-omit","scope-basename","scope-as-is","scope-full"],"Scope options:").group(["help","version","silent"],"Other options:").epilogue("Details:\n  The commit-scope parameter must be omitted when specifying a scope option. Specifying more than one scope option will fail. Special scope options - and -- alias -o and -b respectively.\n\n  If no path arguments are passed, -a will fail. If no path arguments are passed and there is not exactly one staged file, -b will fail. If no path arguments are passed, -f will return the full path if there is exactly one staged file, the deepest common ancestor of all staged files if there is more than one, or fail if there is no non-root common ancestor. If path1 is ambiguous, -f will return the deepest common ancestor.").example([['$0 path/to/file1 feat - "new feature"','Stages file1 & commits as "feat: new feature"'],['$0 path file2 feat -- "new feature"','Stages file1 & file2 & commits as "feat(file1): new feature"'],['$0 path feat --scope-as-is "feature"','Stages file1 & commits as "feat(path): feature"'],['$0 path feat --scope-full "new feature"','Stages file1 & commits as "feat(path/to/file1): new feature"'],['$0 chore scripts "update var names"','Commits (all staged files) as "chore(scripts): update var names"']]).strictOptions(),{program:t,parse:async e=>{var s;if(!await async function(){return r()().checkIsRepo()}())throw new Error("not a git repository (or any of the parent directories): .git");a=await f(),e=(null!==(s=e)&&void 0!==s&&s.length?e:process.argv.slice(2)).map((e=>"-"==e?"-o":"--"==e?"-b":e)),b("pre-staged paths: %O",a),b("parse(argv) saw argv: %O",e);const i=t.parse(e),n=["scopeOmit","scopeBasename","scopeAsIs","scopeFull"].filter((e=>e in i)).length,l=(o=!!n)?2:3;if(n>1)throw new Error("only one scope option is allowed");if(i._.length<l)throw new Error("must pass all required arguments");if(i._.length==l&&!a.length)throw new Error("must stage a file or pass a path");const p=Array.from(i._).map(String),m=p.splice(0,p.length-(o?2:3)),[d,w,y]=o?[p[0],,p[1]]:p;let v=`${d}(${w}): ${y}`;await async function(e){u("adding (staging) paths: %O",e),e.length&&await r()().add(e)}(m);const $=await f();if(!$.length)throw new Error("Assertion error: no paths staged after passing validation check");if(!w)if(b("deriving commit scope based on rules: %O",i),i.scopeOmit)v=`${d}: ${y}`;else{let e;if(i.scopeBasename)if(m.length){const t=m[0],a=await g(t);if(a.ambiguous)throw new Error("use of --scope-basename with an ambiguous path");e=(0,h.basename)(a.file)}else{if(1!=$.length)throw new Error("use of --scope-basename with multiple staged files is ambiguous");e=(0,h.basename)($[0])}else if(i.scopeFull){const t=e=>{const t=function(e){const t=c()(...e)||null;return u(`computed ancestor: ${t}`),t}(e);if(!t)throw new Error("use of --scope-full is ambiguous without common non-root ancestor path");return t};if(m.length){const a=await g(m[0]);e=a.ambiguous?t(a.files):a.file}else e=1==$.length?$[0]:t($)}else{if(!m.length)throw new Error("use of --scope-as-is without path argument is ambiguous");e=m[0]}v=`${d}(${e}): ${y}`}return await async function(e){if(u("creating commit with message: %O",e),!(await r()().commit(e)).commit)throw new Error("commit operation failed")}(v),i}}}}},t={};function a(o){if(t[o])return t[o].exports;var s=t[o]={exports:{}};return e[o](s,s.exports,a),s.exports}return a.n=e=>{var t=e&&e.__esModule?()=>e.default:()=>e;return a.d(t,{a:t}),t},a.d=(e,t)=>{for(var o in t)a.o(t,o)&&!a.o(e,o)&&Object.defineProperty(e,o,{enumerable:!0,get:t[o]})},a.o=(e,t)=>Object.prototype.hasOwnProperty.call(e,t),a.r=e=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(e,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(e,"__esModule",{value:!0})},a(612)})();